Updates an existing vendor.

Sample request:
PUT /api/v2/Vendors/1
{
"id": 1,
"name": "Updated Vendor Name"
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

The unique identifier of the vendor to update.

Query Params
string
string
Body Params

The vendor update data transfer object.

date-time | null
date-time | null
string | null
string | null
int32
string | null
string | null
string | null
boolean
boolean
boolean
int32 | null
date-time | null
date-time | null
date-time | null
string | null
string | null
string | null
string | null
string | null
string | null
string | null
string | null
string | null
string | null
int32
boolean
boolean
string | null
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
boolean
string | null
int32 | null
tagIds
array of int32s | null
tagIds
taskIds
array of int32s | null
taskIds
riskIds
array of int32s | null
riskIds
assessmentIds
array of int32s | null
assessmentIds
contractIds
array of int32s | null
contractIds
itAssetIds
array of int32s | null
itAssetIds
departmentIds
array of int32s | null
departmentIds
vendorUsers
array of objects | null
vendorUsers
users
array of objects | null
users
extendedFields
object | null
Responses

400

Bad Request

404

Not Found

500

Internal Server Error

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json